CRAN Package Check Results for Package stacomiR

Last updated on 2018-11-24 00:51:27 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.5.4.0 23.61 277.66 301.27 OK
r-devel-linux-x86_64-debian-gcc 0.5.4.0 18.78 216.64 235.42 OK
r-devel-linux-x86_64-fedora-clang 0.5.4.0 353.30 WARN
r-devel-linux-x86_64-fedora-gcc 0.5.4.0 336.13 WARN
r-devel-windows-ix86+x86_64 0.5.4.0 56.00 401.00 457.00 OK
r-patched-linux-x86_64 0.5.4.0 19.84 261.83 281.67 OK
r-patched-solaris-x86 0.5.4.0 551.80 WARN
r-release-linux-x86_64 0.5.4.0 22.13 259.86 281.99 OK
r-release-windows-ix86+x86_64 0.5.4.0 55.00 381.00 436.00 OK
r-release-osx-x86_64 0.5.4.0 ERROR
r-oldrel-windows-ix86+x86_64 0.5.3.1 30.00 303.00 333.00 OK
r-oldrel-osx-x86_64 0.5.4.0 ERROR

Check Details

Version: 0.5.4.0
Check: data for non-ASCII characters
Result: NOTE
     Note: found 40588 marked UTF-8 strings
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86

Version: 0.5.4.0
Check: re-building of vignette outputs
Result: WARN
    Error in re-building vignettes:
     ...
    Quitting from lines 281-303 (stacomir.Rmd)
    Error: processing vignette 'stacomir.Rmd' failed with diagnostics:
    sum(datasub$value, na.rm = TRUE) and sum(datasub2$value, na.rm = TRUE) are not equal:
     Mean relative difference: 0.000996791
    Execution halted
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 0.5.4.0
Check: re-building of vignette outputs
Result: WARN
    Error in re-building vignettes:
     ...
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    Quitting from lines 281-303 (stacomir.Rmd)
    Error: processing vignette 'stacomir.Rmd' failed with diagnostics:
    sum(datasub$value, na.rm = TRUE) and sum(datasub2$value, na.rm = TRUE) are not equal:
     Mean relative difference: 0.000996791
    Execution halted
Flavor: r-patched-solaris-x86

Version: 0.5.4.0
Check: package dependencies
Result: ERROR
    Packages required but not available: ‘gWidgetsRGtk2’ ‘RGtk2’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavors: r-release-osx-x86_64, r-oldrel-osx-x86_64